/* Copyright 2015-2017 Research Foundation State University of New York   */

/* This file is part of QUB Online.                                       */

/* QUB Online is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation, either version 3 of the License, or      */
/* (at your option) any later version.                                    */

/* QUB Online is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of         */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
/* GNU General Public License for more details.                           */

/* You should have received a copy of the GNU General Public License,     */
/* named LICENSE.txt, in the QUB Online program directory.  If not, see  */
/* <http://www.gnu.org/licenses/>.                                        */

#ifndef QUBX_AMP_H
#define QUBX_AMP_H

#include "qubfast.h"
#include "qubx_model.h"

#ifdef __cplusplus
extern "C" {
#endif

int QUBFAST_API qubx_amp(double sampling, int n, float *data, qubx_model *model, int autoInit, int autoInitUp, int *classes, int *counts);

#ifdef __cplusplus
}
#endif

#endif
